QGIS Application - Bug report #18051
ERROR 6: GDALDriver::Create() ... no create method implemented for this format.
2018-02-06 10:02 AM - Stephen Eastmead

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:2.18.16 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 25947
Description

A DEM is created from a .asc file OK, but when that DEM has Raster > Analysis > Fill Nodata applied the following error text occurs:

ERROR 6: GDALDriver::Create() ... no create method implemented for this format.
Traceback (most recent call last):

File "C:\PROGRA~1\QGIS2~1.18\bin\gdal_fillnodata.py", line 175, in
dst_ds.SetGeoTransform( src_ds.GetGeoTransform() )

AttributeError: 'NoneType' object has no attribute 'SetGeoTransform'

In addition | noticed Raster Gdal Setting was empty, so | tried it having added C:\Program Files\GDAL but that had no effect.
| have attached:

1) the asc file used to create the DEM

2) three screen images

3) error text file

History

#1 - 2018-02-06 12:15 PM - Alexander Bruy
- Operating System deleted (Windows 10)
- Status changed from Open to Feedback

Please test tools from the Processing. GDALTools plugin is deprecated.

#2 - 2018-02-06 02:44 PM - Stephen Eastmead

| am looking at the Toolbox GDAL Tools.

One thing that appears not to be correct but please advise me.

The deprecated GDAL plugin allowed merging of asc files when using gdalbuildvrt, but when using the gdalbuildvrt in the toolbox it only allows input of
layers, requiring the prior input of asc files as tiff images, but the gdalbuildvrt help screen clearly says can be a list of txt files. Does the input form require
the option to input a list of text files like .asc? or is there another way of creating a VRT from several asc files prior to further GDAL processing?

#3 - 2018-02-23 05:45 PM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Feedback to Closed

Stephen Eastmead wrote:
I am looking at the Toolbox GDAL Tools.
One thing that appears not to be correct but please advise me.

processing?

| think there is already a feature request/issue for that. If not please file it.

The deprecated GDAL plugin allowed merging of asc files when using gdalbuildvrt, but when using the gdalbuildvrt in the toolbox it only allows input
of layers, requiring the prior input of asc files as tiff images, but the gdalbuildvrt help screen clearly says can be a list of txt files. Does the input form
require the option to input a list of text files like .asc? or is there another way of creating a VRT from several asc files prior to further GDAL

Files

ny7515_DTM_2M.asc 1.84 MB 2018-02-06 Stephen Eastmead
Fill No Data Post OK.jpg 44.4 KB 2018-02-06 Stephen Eastmead
Fill No Data prior to OK.jpg 44.5 KB 2018-02-06 Stephen Eastmead
Gdal Tool Settings.jpg 27.5KB 2018-02-06 Stephen Eastmead
Error Text.rtf 542 Bytes 2018-02-06 Stephen Eastmead
